package dev.peerat.parser.java.element.clazz;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;
import static org.junit.jupiter.api.Assertions.assertEquals;

import dev.peerat.parser.java.ClassBase;
import dev.peerat.parser.java.Enumeration;
import dev.peerat.parser.java.element.BaseElementTests;

public class EnumWithoutMod extends BaseElementTests{
	
	{
		register(
				"package be.jeffcheasey88;"
				+ ""
				+ "enum Test{}",
				(javafile) -> {
					ClassBase clazzb = javafile.getMainClass();
					assertNotNull(clazzb);
					assertTrue(clazzb instanceof Enumeration);
					Enumeration clazz = (Enumeration)clazzb;
					assertEquals("Test", clazz.getName().getValue());
					assertEquals(0, clazz.getElements().size());
				});
	}

}
